#  Software Store
##  Overview
Software Store is a graphical software management tool that provides users with one-stop software management services such as software search, download, installation, update, and uninstallation. As a software distribution platform, the software store recommends commonly used software and high-quality software for users. Each listed software has detailed software introduction information for reference, you can download and install it according to your actual needs.

This manual includes an introduction to the core functions of the software store, and detailed operation instructions for each functional module from opening the software store, to login, use, and personalized configuration. If you have any questions when referring to the user manual, please contact our technical service personnel.
<br>

## Start the store
Click the start menu tool in the lower left corner of the desktop to open the start menu column.

You can use the mouse to scroll up and down, search for the software name, search by first letter, search by category to search the software store, and click the software store search result to start the software store.

You can right-click the software store in the start menu to make multiple choices:

* Fixed to "All Software": Put the software store on top of all software, and quickly open the software store when you open the start menu.

* Pin to taskbar: After pinning to the taskbar, you can directly click the software store in the taskbar at the lower left corner of the desktop to quickly open it.

* Add desktop shortcut: After adding a desktop shortcut, find the software store icon on the desktop and click to open it quickly.

![Figure 1 Start menu-big](image/1.png)

<br>

## Function module
### Account login
The software store supports the use of two states: not logged in account and logged in Kylin ID account. If you do not log in to your Kylin ID account, you can also use the basic functions of the software store directly, but you cannot rate and comment on the software. This chapter uses the software store to log in to Kylin ID as an example to introduce the steps in detail.

#### Kylin ID registration

To log in to the account in the software store, you need to register a Kylin ID first. If you have not yet registered, please click [Register] on the login interface or log in by scanning the code for the first time, and go to the Kylin Unified User Center for relevant registration.

#### Kylin ID login

If you have registered for Kylin ID, you can log in directly to your Kylin ID account. Click the [Login] button in the lower left corner of the home page, and the [Kylin ID Login Center] will pop up. As shown in Figure 2, users can log in through three methods: account password, mobile phone SMS verification code, and WeChat scan code. For different system versions, there are differences in the login interface, please refer to the actual page.

1) Password login
* After entering the account password and clicking the login button, a sliding verification interface will pop up for verification;

* After passing the verification, you can log in successfully;

* Password can choose whether to remember the password when logging in.

![Figure 1 Password login-big](image/2.png)

2) Mobile login
* Enter the registered mobile phone number, click to get the verification code, and verify on the pop-up sliding verification interface;

* After passing the verification, send an SMS verification code to the registered mobile phone number, and enter the corresponding SMS verification code;

* Click Login to log in to the software store.

3) Wechat code scanning login
* Click the QR code in the lower right corner of the software store login box and use wechat to scan for quick login;
* Note: if the wechat account has not registered a Kirin ID, you need to scan the code again after registration.

![Figure 3 WeChat scan code login-big](image/3.png)

If you forget your password, click [Retrieve Password] on the login interface to jump to the Kylin Unified User Center, and use any of the three methods of mobile phone number, email address, and secret security question to retrieve the password.

### Main menu
The title bar of the main interface of the software store includes: home page, office, video, image, all categories, mobile applications, drivers, and software management modules. Each core module is introduced separately below.

#### Home
Open the software store and open [Home] by default, as shown in Figure 4, the home page includes advertisement recommendation, new product exploration, download ranking, theme section, etc. Drag the scroll bar down to see the display of commonly used applications and mobile apps that everyone is using application. On the homepage, you can click the advertisement space or click the recommendation section to download the software, and you can jump to the details page of the software. For example, the download rankings on the home page, featured applications, and mobile applications that everyone is using have software that you want to open, update, or download, you can also directly click the button on the right side of the software. You can also click the More button in the upper right corner of the module to enter the corresponding content page to explore more software content. Note that mobile applications currently only support ARM architecture. If your architecture is not ARM architecture, the mobile application section that everyone is using will not be displayed.

![Figure 4 Homepage-big](image/4.png)

#### All categories
Click [All Categories] in the left navigation bar to enter the software category interface. The software store provides a variety of software categories including office, development, image, video, network, game, education, social, system, security, etc. Click any category in the secondary directory to view all software in that category, as shown in Figure 5. Show. Under different categories, you can select the target software to enter the software details page. Under each category, it supports default sorting, download ranking, rating ranking and other sorting methods. The default sorting is based on the self-developed heat algorithm to recommend applications for you. The download ranking is based on the current download volume of all software in this category. The rating ranking is sorted according to the current rating of all software users in this category from high to low. On this page, you can also directly open or update the downloaded software. You can view the software that will be put on the shelves on the preview page. In the software card, you can directly click the official website button to enter the official website of the software for detailed information. You can also click the software to enter the software details page to view the software information.

![Figure 5 All category pages-big](image/5.png)

#### Drive
Click [Driver] in the left navigation bar to enter the driver page, which provides various types of drivers such as printers, scanners, high-speed cameras, and fingerprint devices. Note that the actual driver type displayed in the [Driver] page will be different due to the different architectures of different drivers.

![Figure 6 Driver page-big](image/6.png)

#### Mobile Applications
The software store provides users with KMRE, a high-performance mobile operating environment independently developed by Kylin Software. Click [Mobile Application] in the left navigation bar to enter the mobile application page. When entering the mobile application page for the first time, you need to download the Kylin mobile operating environment, click Download After the download and installation is complete, you will be prompted to restart the computer. After restarting the computer, open the software store mobile application page again, and wait for the initialization environment to download the Android application.

![Figure 7 Download Kylin Mobile Runtime Environment-big](image/7.png)

After initializing the Android environment, you can see the mobile application page shown in Figure 8. This page supports application downloads of various categories. Note that the displayed categories may be different on different models. On each category page, multiple sorting methods such as default ranking, download ranking, and rating ranking are supported. You can choose any category option to search and download your target software. After downloading the software, click to open to use the Android application directly, with a rich experience.

![Figure 8 Mobile application page-big](image/8.png)

#### Software Management
Click [Software Management] in the left navigation bar to open the personal application management page. You can view and operate the software that needs to be updated and uninstall the software installed on the machine. At the same time, you can view the history of local installation and cloud installation. Click the [↓] download arrow in the upper right corner of the terminal to view the current software download status.

1) Downloading

After clicking the [↓] download arrow in the upper right corner of the client, the [Downloading] page will pop up, as shown in Figure 9. If the software is being downloaded, the upper right corner of the Downloading button will display the number of downloads, and the software being downloaded will be displayed in the form of a card on the page. Before the download is complete, you can pause, resume, or cancel the download of a software at any time.

![Figure 9 Downloading-big](image/9.png)

2) Update the software

If the local software is updated, a prompt will appear on the right side of [Software Management] in the left navigation bar, and the number of software updates will also prompt, as shown in Figure 10. In the lower right corner of the software card, click [Update] to start updating the software, or select [Select All] in the upper right corner of the page, and then click [Update All]. Before the software update is completed, you can suspend, resume, or cancel the software update operation at any time. After the software is downloaded, it will be installed automatically. Please wait patiently until the [Open] button appears, indicating that the software installation is complete.
![Figure 10 Application update-big](image/10.png)

3) Uninstall the software

If you want to uninstall the local software downloaded and installed from the software store, in addition to right-clicking in the local startup menu to delete, you can also select the corresponding software card on this page and click [Uninstall]. If batch operations are required, click [Select All] in the upper right corner and select [One-click Uninstall], as shown in Figure 11.

![Figure 11 Application uninstallation-big](image/11.png)

4)Historical installation

View the installation history of the software, as shown in Figure 12. By default, the installation history of this computer is displayed, that is, the list of software downloaded and installed by this computer in the software store. If you log in to the Kylin ID account, you can also view the software records installed by the account on other computer terminals under the cloud installation history.
If some software has been uninstalled from the machine, you can click [Download] on this page to download and install it again.

![Figure 12 Historical installation-big](image/12.png)

### Software details

Click any software to enter the software details interface, as shown in Figure 13. On the software details page, you can view the icon, software name, software package name, category, rating, download times, download size, current version, etc. of the software, and provide screenshots and software introductions of the software. If you download the software, you can click the [Download] button in the upper right corner to download it. After the download is complete, it will be automatically installed. After the installation is complete, click [Open] to directly run the software.

![Figure 13 Software details page-big](image/13.png)

The software store also supports the security detection function. If the software has been signed and passed manual detection, it will be in the "√" status. Signed software will display the signature unit: Kylin Software Co., Ltd.
In the software details interface, you can view the software's ratings and user comments. If you want to post ratings and comments on the software, please download the software and log in to your Kylin ID account. The total score of the software is 5 points. The software reviews are sorted by publication time by default, and the latest reviews will be displayed at the top.

![Figure 14 Software evaluation-big](image/14.png)

The user comment area of the software details interface is shown in Figure 14. After you log in, you can rate and comment on the software according to your personal preferences. Click the five-pointed star with the mouse to rate the software; after logging in to Kylin ID and downloading and installing the software, you can enter the comment content in the comment box. Note that the number of words in the comment cannot exceed 200 words. After the comment is entered, click Submit to view it in the comment area below. to the comment just posted. While viewing the software comments, you can also like others' comments and express your opinion on the comment. If you want to delete your comment, you can click the delete button in the lower right corner of your comment.

### Search bar
The core search function of the software store, the software that has been listed in the software store is searched by default, and the search method supports software name (Chinese characters, pinyin) search and software package name search. You can enter your search content in the search bar and click Enter or the search symbol on the search bar. If you want to delete the search content with one click, you can click the "X" icon in the search box. As shown in Figure 15, click the search box to enter the search content, and the relevant matching software will be displayed below the search box. If the target software is clicked, it will jump immediately.

![Figure 15 Search results-big](image/15.png)

As an example in Figure 16, the software search results that match your search content and the number of retrieved content will be displayed. When your search results are rich, you can slide the page to find the target software.

![Figure 16 Software store operation bar-big](image/16.png)

### Action bar
The configuration operation bar in the upper right corner of the software store client includes: client settings, check for updates, help, and about.

![Figure 17 Software store operation bar-big](image/17.png)

In [Settings], you can set the software package download directory, installation package cleaning mechanism, automatic software update, and notification reminders. When you turn on the automatic update software store, when the software store client version is updated, it will automatically update to the latest version for you; when you turn on the automatic update software, when the software you download in the store has a new version, it will automatically update Silently update to the latest version for you; when you do not turn on the automatic software update, the store will push the software update notification by default, you can also turn off the notification in the settings, as shown in Figure 18.

In the server address configuration function, as shown in Figure 18, you can see the server address, including the address of the software store and the address of Kylin ID. Since the server IP is unknown before the establishment, if you do DNS resolution in the LAN routing, resolve the server IP to api.kylinos.cn, the client can access it correctly.

![Figure 18 Software store operation bar configuration-big](image/18.png)

Click [Check Update] to check whether the current client is the latest version, and click [About] to check the current client version number. If you want to know more about the product function or get an error message during use, you can click the help menu in the operation bar, and the user manual of the software store client will be opened for you. You can refer to the user manual to find the corresponding solution.

### Window operation
The upper right corner of the software store window supports minimizing and maximizing the window. At the same time, if you double-click the blank area of the software store page, you can also trigger the window to zoom in or out. Click the close button in the upper right corner to successfully exit the software store.

## Exit
The software store supports two ways to exit the software store.

* You can click the operation bar and click Exit to exit the software store.

* You can directly click the close button of the page window to exit the software store.

## Error code prompt
If you encounter the following error prompts when using the software store, you can refer to the corresponding error code prompts to try to solve the problem. If you still cannot solve the problem according to the instructions, please contact the after-sales service. We will work to solve the problems encountered by the software store. 

* #0001

Cause: A service abnormality is detected, which is usually caused by an abnormal background interface or an abnormality of the system bottom installer (apt or dpkg).

Solution:

(1) Restart the software store. If restarting the software store does not take effect, proceed to step (2);

(2) Repair the system bottom installer (apt or dpkg), delete the lock of the system bottom installer (sudo rm /var/lib/dpkg/lock), enter apt-get install -f and sudo dpkg --configure-in the terminal a.

* #0002

Reason: The download failure is usually caused by an abnormality of the underlying installer (apt or dpkg) of the system.

Solution:

(1) In the terminal, use apt-get install and add the name of the package to be installed to check the cause of the problem;

(2) The system bottom installer is abnormal: repair the system bottom installer (apt or dpkg), delete the lock of the system bottom installer (sudo rm /var/lib/dpkg/lock), and enter apt-get install -f in the terminal and sudo dpkg --configure -a;

(3) Dependence conflict: please contact technical service personnel.

* #0003

Reason: The installation failure is usually caused by the abnormality of the system bottom installer (apt or dpkg).

Solution:

(1) In the terminal, use apt-get install and add the name of the package to be installed to check the cause of the problem;

(2) The system bottom installer is abnormal: repair the system bottom installer (apt or dpkg), delete the lock of the system bottom installer (sudo rm /var/lib/dpkg/lock), and enter apt-get install -f in the terminal and sudo dpkg --configure -a;

(3) Dependence conflict: please contact technical service personnel.

* #0004

Reason: Uninstallation failure is usually caused by an abnormality of the underlying installer (apt or dpkg) of the system.

Solution:

(1) In the terminal, use apt-get remove and the name of the package to be uninstalled to check the cause of the problem;

(2) The system bottom installer is abnormal: repair the system bottom installer (apt or dpkg), delete the lock of the system bottom installer (sudo rm /var/lib/dpkg/lock), and enter apt-get install -f in the terminal and sudo dpkg --configure -a;

(3) Dependence conflict: please contact technical service personnel.

* #0005

Reason: It may be that the database does not exist in the access path, or the database is in read-only status, which causes the failure of linking the database.

Solution: Restart the software store.

* #0006

Occurrence reason: Usually, the network is disconnected or the server access fails due to network exceptions.

Solution: Check whether the network is abnormal and reconnect the network.

* #0007

Reason: The download failed, usually due to insufficient disk space.

Solution: Free up disk space.

The above are the solutions corresponding to the software store error code prompts. If you encounter the above problems during use and cannot be solved according to the provided methods or you find other problems during use, you can contact our technical service personnel, we look forward to you Valuable advice. Thank you for your support to Kylin Software Store!
